<nav class="navbar navbar-expand-lg navbar-dark fixed-top bg-dark-blue p-0">
  <div class="container">
    <a class="navbar-brand me-4 p-0"
       [routerLink]="['/']">
      <img src="assets/img/logo-satu-peta.png"
           height="70"
           class="d-inline-block align-top"
           alt="Satu Peta Jawa Barat">
    </a>
    <button class="navbar-toggler"
            type="button"
            data-toggle="collapse"
            data-target="#navbarColor02"
            aria-controls="navbarColor02"
            aria-expanded="false"
            aria-label="Toggle navigation"
            (click)="isMenuCollapsed = !isMenuCollapsed">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div [ngbCollapse]="isMenuCollapsed"
         class="collapse navbar-collapse"
         id="navbarColor02">
      <ul class="navbar-nav">
        <ng-container *ngFor="let item of menu">
          <li class="nav-item"
              [routerLinkActive]="['active']"
              *ngIf="item.children.length === 0">
            <a class="nav-link"
               (click)="isMenuCollapsed = true"
               [routerLink]=" '/' + item.url "
               [routerLinkActive]="['active']">{{ item.name }}</a>
          </li>
        </ng-container>
      </ul>
    </div>
  </div>
</nav>